Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.PI
Interface IORManager

All Known Implementing Classes:
  SimpleIORManager

public interface IORManager

This interface must be implemented by the IOR interceptor manager.

Overrides must have a constructor with exact signature:

     public IORManager(org.omg.PortableInterceptor.IORInterceptor [] list)

The default implementation can be overriden by setting the org.openorb.PI.IORManagerClass property with the classname of the override. To disable IOR construction altogether set this property to the empty string.

Version:
  $Revision: 1.5 $ $Date: 2002/06/28 08:59:04 $
Author:
  Chris Wood

Method Summary
`void` | `establish_components(IORInfo info)` This methods establishes IOR components for an IOR.

Method Detail

### establish_components

    public void establish_components(IORInfo info)

  This methods establishes IOR components for an IOR.
  Parameters:
    `info` - The IOR descriptor.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD